# $Revision: 1.49 $, $Date: 2011/07/05 06:45:21 $
Summary:	Pixel manipulation library
Summary(pl.UTF-8):	Biblioteka operacji na pikselach
Name:		pixman
# 0.22.x is stable, 0.23.x is unstable
Version:	0.22.2
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://xorg.freedesktop.org/archive/individual/lib/%{name}-%{version}.tar.bz2
# Source0-md5:	863b87e7a7d6e1d032fd583edc1df5dd
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.453
BuildRequires:	sed >= 4.0
Obsoletes:	libic
Obsoletes:	libpixman
Obsoletes:	libpixregion
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pixman is a pixel manipulation library.

%description -l pl.UTF-8
pixman to biblioteka do operacji na pikselach.

%package devel
Summary:	Development files for pixman
Summary(pl.UTF-8):	Pliki dla programistów do biblioteki pixman
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libic-devel
Obsoletes:	libpixman-devel
Obsoletes:	libpixregion-devel

%description devel
This package contains development files for pixman library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki dla programistów korzystających z biblioteki
pixman.

%package static
Summary:	Static pixman library
Summary(pl.UTF-8):	Statyczna biblioteka pixman
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libic-static
Obsoletes:	libpixman-static
Obsoletes:	libpixregion-static

%description static
This package contains static pixman library.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczną wersję biblioteki pixman.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-gtk \
	--disable-silent-rules \
%ifarch %{x8664}
%if "%{cc_version}" < "4.2"
	--disable-sse2
%endif
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

sed -i -e 's#<pixman-version.h>#<pixman-1/pixman-version.h>#g' $RPM_BUILD_ROOT%{_includedir}/pixman-1/pixman.h

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING README TODO
%attr(755,root,root) %{_libdir}/libpixman-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpixman-1.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpixman-1.so
%{_libdir}/libpixman-1.la
%{_includedir}/pixman-1
%{_pkgconfigdir}/pixman-1.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libpixman-1.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pixman.spec,v $
Revision 1.49  2011/07/05 06:45:21  arekm
- up to 0.22.2

Revision 1.48  2011/05/02 09:46:30  arekm
- up to 0.22.0

Revision 1.47  2011/01/19 14:40:28  arekm
- up to 0.20.2

Revision 1.46  2010/10/28 07:48:10  qboosh
- updated to 0.20.0
- dropped outdated no_pkgconfig patch

Revision 1.45  2010/08/16 12:14:04  arekm
- up to 0.18.4

Revision 1.44  2010/05/13 04:14:48  arekm
0 up to 0.18.2

Revision 1.43  2010/04/01 19:44:49  qboosh
- disable silent-rules

Revision 1.42  2010/04/01 10:26:23  arekm
- up to 0.18.0

Revision 1.41  2010/03/22 07:03:40  qboosh
- BR: sed 4

Revision 1.40  2010/02/08 16:44:03  arekm
- up to 0.16.6

Revision 1.39  2009/12/15 19:04:45  arekm
- up to 0.16.4

Revision 1.38  2009/09/28 13:53:56  arekm
- up to 0.16.2

Revision 1.37  2009/08/28 12:46:38  arekm
- up to 0.16.0

Revision 1.36  2009/02/07 10:20:53  arekm
- up to 0.14.0

Revision 1.35  2009/01/18 11:38:53  arekm
- make it explict so people will notice it

Revision 1.34  2009/01/18 11:35:33  duddits
- didn't see the comment, reverting (odd is unstable)

Revision 1.33  2009/01/15 14:37:06  duddits
- up to 0.13.2

Revision 1.32  2008/12/27 12:46:54  wolvverine
- lost commitlog

Revision 1.31  2008/12/27 12:11:29  wolvverine
- revert: devel version

Revision 1.30  2008/12/27 10:55:18  wolvverine
- up to 0.13.2

Revision 1.29  2008/11/26 23:38:02  sls
- added no_pkgconfig.patch

Revision 1.28  2008/11/26 08:37:24  arekm
- note about numbering scheme

Revision 1.27  2008/09/25 22:22:02  glen
- release 2

Revision 1.26  2008/09/25 11:35:11  glen
- for amd64 only

Revision 1.25  2008/09/25 10:57:50  glen
- sse2 doesn't work with gcc 3.3 and according to comments from net gcc 4.2 is even needed

Revision 1.24  2008/09/18 05:04:10  qboosh
- updated to 0.12.0

Revision 1.23  2008/09/09 05:37:43  qboosh
- updated to 0.11.10

Revision 1.22  2008/07/17 18:19:20  arekm
- up to 0.11.8

Revision 1.21  2008/06/25 13:46:46  arekm
- up to 0.11.6

Revision 1.20  2008-06-13 19:55:42  arekm
- rel 2; fix memory leak (from upstream)

Revision 1.19  2008-06-10 17:58:17  arekm
- up to 0.11.4

Revision 1.18  2008-06-09 10:32:05  arekm
- up to 0.11.2

Revision 1.17  2008-05-28 20:13:14  glen
- release 3

Revision 1.16  2008-05-27 05:52:25  glen
- fix for gcc 3.3.6 build

Revision 1.15  2008-04-17 19:45:03  arekm
- rel 2; don't require -I../pixman-1 in every software

Revision 1.14  2008-04-13 09:20:18  qboosh
- fixed Summary

Revision 1.13  2008-04-01 19:09:36  qboosh
- ghost soname symlink
- added README to doc

Revision 1.12  2008-03-30 13:39:00  arekm
- up to 0.10.0

Revision 1.11  2008-03-06 17:02:32  glen
- release 2

Revision 1.10  2007-10-30 21:08:46  qboosh
- updated to 0.9.6

Revision 1.9  2007/09/04 17:19:57  arekm
- up to 0.9.5

Revision 1.8  2007/08/08 16:22:47  deejay1
- added P0: pixman-pkgconfig.patch to pass proper flags via pkg-config
- rel. 2

Revision 1.7  2007/08/07 17:35:40  qboosh
- oops, slim name is reused now (it shouldn't have happened :/)

Revision 1.6  2007/08/07 17:35:05  qboosh
- although with new soname it's parallel-installable with old libpixman,
  it's successor of libpixman (now obsolete as a separate package), so merged
  whole Obsoletes lists (libpixregion*, libic*, slim)

Revision 1.5  2007/08/07 16:15:46  arekm
- up to 0.9.4 (first release from new series)

Revision 1.4  2007/08/05 09:25:18  deejay1
- updated a bit for xserver 1.3.99.x

Revision 1.3  2007/07/08 17:02:16  qboosh
- verbose files, removed empty docs

Revision 1.2  2007/06/25 13:27:59  arekm
- adapterize; small fixes

Revision 1.1  2007/06/25 13:14:19  arekm
- initial
